Bug 13637 - /etc/resolv.conf written too late
Summary: /etc/resolv.conf written too late
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-07-10 10:25 UTC by chris
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-12 18:56:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description chris 2000-07-10 10:25:24 UTC
The script /etc/ppp/ip-up runs /etc/ppp/ip-up.local as the first thing it
does, and then later on runs /etc/sysconfig/network-scripts/ifup-post.  The
problem with this is that /etc/resolv.conf doesn't get modified until the
second of these scripts is run; so anything the user adds to
/etc/ppp/ip-up.local can't do DNS lookups correctly (e.g. flushing mail
queues may not work, etc.)

Comment 1 Nalin Dahyabhai 2000-07-12 18:56:02 UTC
Changing component to initscripts, which supplies this file.

Comment 2 Bill Nottingham 2000-07-12 19:17:46 UTC
This will be fixed in initscripts-5.32-1; the local script will be run
after ifup-post.


Note You need to log in before you can comment on or make changes to this bug.